from setuptools import setup, find_packages

setup(
    name="pytest-my-plugin",  # Name of the plugin package
    version="0.1.0",  # Version of the plugin
    description="A pytest plugin that does awesome things",  # Short description
    long_description=open("README.md").read(),  # Optional long description from README
    long_description_content_type="text/markdown",  # Optional: type of content
    author="Tetiana",
    author_email="tanyaxcooper@gmail.com",
    # url="https://github.com/yourusername/pytest-my-plugin",  # Link to your GitHub or project page
    packages=find_packages(),  # Automatically discover packages
    install_requires=[
        "pytest>=6.0",  # Minimum pytest version required
        # other dependencies if needed
    ],
    entry_points={
        "pytest11": [
            "my_plugin = my_plugin.plugin",  # Point pytest to the plugin entry
        ]
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "License :: OSI Approved :: MIT License",  # Example license
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",  # Specify the compatible Python versions
)
